import { ActivatedRoute } from '@angular/router';
import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
	name: 'academicYearState'
})

export class AcademicYearStatePipe implements PipeTransform {
	terms = [];
	constructor(private route: ActivatedRoute) {
		this.terms = route.snapshot.data.requiredData.terms.map(t => t.termCode);
	}

	transform(year: string): string {
		const termCode = this.terms[0];
		let century = 2000;
		if (termCode.substr(0, 1) === '0') {
			century = 1900;
		}
		const YYYY = century + Number(year);

		if (year < termCode.substr(1, 2)) {
			return 'Past: ' + (YYYY - 1) + '-' + YYYY;
		} else if (year > termCode.substr(1, 2)) {
			return 'Future: ' + (YYYY - 1) + '-' + YYYY;
		} else {
			return 'Current: ' + (YYYY - 1) + '-' + YYYY;
		}
	}
}
